# Creating Docker Container for Hugo

yt-dlp 2024.09.27 - amd64 - Ubuntu 24.04

*Replace `podman` with `docker` in the commands - been using Podman*

## Build Container

`git clone https://git.ittavern.com/CaffeineFueled/yt-dlp-docker.git` 

`cd yt-dlp-docker`

`podman build -t yt-dlp-docker:2024.09.27 .`

`mkdir app` *# Download/config directory*

Run yt-dlp commands like this:

```bash
podman run --rm \
    -v $PWD/app:/app \
    localhost/yt-dlp-docker:2024.09.27 \
    -i -f "bestvideo+bestaudio" WHATEVERLINKYOUHAVE
```

Add to config:

`alias yt-dlp="podman run --rm -v .:/app localhost/yt-dlp-docker:2024.09.27"`

*Note: with this alias we are going to download right in the current directory you are in*

# Links

- [Used yt-dlp Version](https://github.com/yt-dlp/yt-dlp/releases/tag/2024.09.27)
- [Used yt-dlp Official Binary](https://github.com/yt-dlp/yt-dlp/wiki/Installation)

# ToDo

- [ ] Improve usage documentation
- [ ] Slim down image
- [ ] Dockerfile - add versions to installations

